waste-operators
Create Waste Operator
Upsert a new waste operator
POST
/
api
/
v1
/
waste-operators
Create Waste Operator
curl --request POST \
--url https://www.manglai.io/api/v1/waste-operators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "c5b87f15-33ed-4522-90eb-d23473ab911d",
"name": "John Doe",
"email": "john@doe.com",
"address": "123 Main St, New York, NY 10001",
"companyId": "c5b87f15-33ed-4522-90eb-d23473ab911d",
"externalId": "123456789"
}
'import requests
url = "https://www.manglai.io/api/v1/waste-operators"
payload = {
"id": "c5b87f15-33ed-4522-90eb-d23473ab911d",
"name": "John Doe",
"email": "john@doe.com",
"address": "123 Main St, New York, NY 10001",
"companyId": "c5b87f15-33ed-4522-90eb-d23473ab911d",
"externalId": "123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'c5b87f15-33ed-4522-90eb-d23473ab911d',
name: 'John Doe',
email: 'john@doe.com',
address: '123 Main St, New York, NY 10001',
companyId: 'c5b87f15-33ed-4522-90eb-d23473ab911d',
externalId: '123456789'
})
};
fetch('https://www.manglai.io/api/v1/waste-operators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c5b87f15-33ed-4522-90eb-d23473ab911d",
"name": "John Doe",
"email": "<string>"
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
application/json
Ejemplo:
"c5b87f15-33ed-4522-90eb-d23473ab911d"
Ejemplo:
"John Doe"
Ejemplo:
"john@doe.com"
Ejemplo:
"123 Main St, New York, NY 10001"
Ejemplo:
"c5b87f15-33ed-4522-90eb-d23473ab911d"
Ejemplo:
"123456789"
⌘I
Create Waste Operator

